- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
tbb::flow::interface8::opencl_buffer_impl< Factory > Class Template Reference
Inheritance diagram for tbb::flow::interface8::opencl_buffer_impl< Factory >:

## Public Member Functions
| opencl_buffer_impl (size_t size, Factory &f)
| opencl_buffer_impl (cl_mem m, size_t index, size_t size, Factory &f)
size_t | size () const
void | map_memory (opencl_device device, dependency_msg< void *, Factory > &dmsg)
Public Member Functions inherited from tbb::flow::interface8::opencl_memory< Factory >
| opencl_memory (Factory &f)
cl_mem | get_cl_mem () const
void * | get_host_ptr ()
Factory * | factory () const
dependency_msg< void *, Factory > | send (opencl_device d, const cl_event *e)
dependency_msg< void *, Factory > | receive (const cl_event *e)

## Friends
template<typename , typename >
class | opencl_buffer

## Additional Inherited Members
Protected Attributes inherited from tbb::flow::interface8::opencl_memory< Factory >
cl_mem | my_cl_mem
tbb::atomic < opencl_device::device_id_type > | my_curr_device_id
void * | my_host_ptr
Factory * | my_factory
tbb::spin_mutex | my_sending_lock
bool | my_sending_event_present
cl_event | my_sending_event

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.